Subject: Re: espressobin device tree with kernel 5.1 RC

From: Miquel Raynal <[email-masked]>
Date: Mon, 29 Apr 2019 09:57:27 +0200

Hi Timothy,

"Timothy Krantz" <[email-masked]> wrote on Mon, 22 Apr 2019
15:07:12 -0400:

> Hi,
> Please excuse my emailing you directly.  I do not know the proper channels
> to report my problem.
> 

For this kind of question I think adding the Linux ARM Kernel Mailing
List (LAKML) is the right thing to do.

> I build my own kernels for my 3 espressobins.  Up through kernel 5.0 things
> work fine.
> 
> In the 5.1 RC kernels I have been unable to boot using the 5.1 RC device
> tree.  I get :
> 
> ahci-mvebu d00e0000.sata: couldn't get PHY in node sata: -517
> 
> then the boot fails waiting for the rootfs on my sata device.
> 
> If I use a kernel 5.0 device tree with a 5.1 RC kernel it boots fine.
> 
> I am glad to test anything if that would help.

Do you have PHY_MVEBU_A3700_COMPHY enabled?

> Tim Krantz

Thanks,
Miquèl

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel